Net::LDAP::RootDSE(3)

NAME
Net::LDAP::RootDSE - An LDAP RootDSE object

SYNOPSIS
 my $dse = $ldap->root_dse();

 # get naming Contexts
 my @contexts = $dse->get_value('namingContexts');

 # get supported LDAP versions as an array reference
 my $versions = $dse->get_value('supportedLDAPVersion', asref => 1);

DESCRIPTION

  Methods

get_value
    "get_value" is identical to "get_value" in Net::LDAP::Entry

supported_extension ( OID_LIST )
    Returns true if the server supports all of the specified extension OIDs

supported_feature ( OID_LIST )
    Returns true if the server supports all of the specified feature OIDs

supported_version ( VERSION_LIST )
    Returns true if the server supports all of the specified versions

supported_control ( OID_LIST )
    Returns true if the server supports all of the specified control OIDs

supported_sasl_mechanism ( SASL_MECH_LIST )
    Returns true if the server supports all of the specified SASL mechanism names

SEE ALSO
Net::LDAP, Net::LDAP::Entry

AUTHOR
Chris Ridd <chris.ridd@isode.com>, Graham Barr <gbarr@pobox.com>.

COPYRIGHT
Copyright (c) 2003-2004, Chris Ridd and Graham Barr. All rights reserved. This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.